=== source/APPLICATIONS/TOOLS/CMakeLists.txt ===
# The name of the project to build
PROJECT(TOOLS)

# Set BALL specific includes and compilerflags
INCLUDE_DIRECTORIES(${PROJECT_BINARY_DIR})
ADD_DEFINITIONS(${BALL_ADD_CXXFLAGS})

###### add TOOLS targets ########
SET(TOOLS_EXECUTABLES)
INCLUDE(sources.cmake)

FOREACH(i ${TOOLS_EXECUTABLES})
	ADD_EXECUTABLE(${i} ${i}.C)
	TARGET_LINK_LIBRARIES(${i} BALL Qt5::Core)
	SET_PROPERTY(TARGET ${i} PROPERTY FOLDER TOOLS)
	SET_TARGET_PROPERTIES(${i} PROPERTIES RUNTIME_OUTPUT_DIRECTORY ${TOOLS_RUNTIME_OUTPUT_DIRECTORY})
ENDFOREACH()


ADD_CUSTOM_TARGET(BALLTOOLS)
ADD_DEPENDENCIES(BALLTOOLS ${TOOLS_EXECUTABLES})
