=== debian/changelog ===
ball (1.5.0+git20180813.37fc53c-6) unstable; urgency=medium

  [ Steffen Möller ]
  * Update metadata - yamllint, BALL paper

  [ Stuart Prescott ]
  * Add missing Breaks/Replaces for python3-ball
    Closes: #953358

  [ Andreas Tille ]
  * Add debian/salsa-ci.yml

 -- Andreas Tille <tille@debian.org>  Mon, 09 Mar 2020 11:45:03 +0100

ball (1.5.0+git20180813.37fc53c-5) experimental; urgency=medium

  * Team upload.
  * Stop using Python 2 to build, make a Python 3 module instead
    (Closes: #936183).

 -- Stuart Prescott <stuart@debian.org>  Sun, 01 Mar 2020 15:22:57 +1100

ball (1.5.0+git20180813.37fc53c-4) unstable; urgency=medium

  * Team upload (Closes: #948438)
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Remove obsolete fields Name, Contact from debian/upstream/metadata.
  * Add Mult-Arch hints
  * build-dep on python2-dev, not the soon to be removed python-dev

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 19 Feb 2020 15:20:40 +0100

ball (1.5.0+git20180813.37fc53c-3) unstable; urgency=medium

  * Add missing Breaks+Replaces: libballview1.4-dev
    Closes: #919225
  * Enable building with dpkg-buildpackage -A
    Closes: #919239

 -- Andreas Tille <tille@debian.org>  Mon, 14 Jan 2019 08:12:12 +0100

ball (1.5.0+git20180813.37fc53c-2) unstable; urgency=medium

  * Fix Build-Depends (Thanks for the hints to Adrian Bunk
    <bunk@debian.org>)
    Closes: #784451
  * Fix FTBFS on architectures where char is unsigned
    (Thanks for the fix to Adrian Bunk <bunk@debian.org>)
    Closes: #919172

 -- Andreas Tille <tille@debian.org>  Sun, 13 Jan 2019 15:49:01 +0100

ball (1.5.0+git20180813.37fc53c-1) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Use secure copyright file specification URI.
  * Trim trailing whitespace.

  [ Andreas Tille ]
  * New upstream version
    Closes: #784451, #905443, #911881
  * Use Git mode in watch file
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.3.0
  * Switch to Qt5
    Closes: #874837
  * Drop python-ballview package
  * Do not fail in case of build time test failures
  * d/control: Remove X-Python-Version field
  * d/rules: Remove manual CFLAGS settings
  * d/rules: Remove cruft from python-ball package
  * Use wrapper to export BALL_DATA_PATH

 -- Andreas Tille <tille@debian.org>  Thu, 10 Jan 2019 20:52:01 +0100

ball (1.4.3~beta1-4) unstable; urgency=medium

  * FTBFS with sip 4.19.x (Thanks for the hint to upsteam solution given
    by Dmitry Shachnev <mitya57@debian.org>)
    Closes: #867660
  * debhelper 10
  * Standards-Version: 4.1.0 (no changes needed)
  * Add dh_sip after dh_install (Thanks for the hint to Dmitry Shachnev
    <mitya57@debian.org>)
  * Do not run test suite parallel
  * Drop test that leads frequently to unpredictable failures
  * Desperately remove all tests that tend to fail randomly

 -- Andreas Tille <tille@debian.org>  Thu, 21 Sep 2017 14:44:17 +0200
