=== debian/watch ===
version=4

opts="mode=git,pretty=1.5.0+git%cd.%h" \
    https://github.com/BALL-Project/ball.git HEAD

# Issue asking for release tags:
#   https://github.com/BALL-Project/ball/issues/655
# once this is fixed the old watch file can be brought into effect again:
#
# opts="uversionmangle=s/_/./g;s/-BETA/~beta/" \
#  https://github.com/BALL-Project/ball/releases .*/archive/V?(\d[-\d._BETA]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
